Skip to main content
`Ctrl`+`K`

# TSEquationType

type of `TS` problem that is solved

## Synopsis

    #include <petscts.h>
    typedef enum {
      TS_EQ_UNSPECIFIED               = -1,
      TS_EQ_EXPLICIT                  = 0,
      TS_EQ_ODE_EXPLICIT              = 1,
      TS_EQ_DAE_SEMI_EXPLICIT_INDEX1  = 100,
      TS_EQ_DAE_SEMI_EXPLICIT_INDEX2  = 200,
      TS_EQ_DAE_SEMI_EXPLICIT_INDEX3  = 300,
      TS_EQ_DAE_SEMI_EXPLICIT_INDEXHI = 500,
      TS_EQ_IMPLICIT                  = 1000,
      TS_EQ_ODE_IMPLICIT              = 1001,
      TS_EQ_DAE_IMPLICIT_INDEX1       = 1100,
      TS_EQ_DAE_IMPLICIT_INDEX2       = 1200,
      TS_EQ_DAE_IMPLICIT_INDEX3       = 1300,
      TS_EQ_DAE_IMPLICIT_INDEXHI      = 1500
    } TSEquationType;

## Values

- `TS_EQ_UNSPECIFIED` - (default)

- `TS_EQ_EXPLICIT` - {ODE and DAE index 1, 2, 3, HI} F(t,U,U_t) := M(t) U_t - G(U,t) = 0

- `TS_EQ_IMPLICIT` - {ODE and DAE index 1, 2, 3, HI} F(t,U,U_t) = 0

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetEquationType()`, `TSSetEquationType()`

## Level

beginner

## Location

include/petscts.h

## Examples

src/ts/tutorials/ex35.cxx
src/ts/tutorials/ex36.c
src/ts/tutorials/ex25.c

## Examples

src/ts/tutorials/ex20opt_ic.c
src/ts/tutorials/ex20opt_p.c
src/ts/tutorials/ex20adj.c
src/ts/tutorials/ex20td.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages